Package Details: gotop 4.0.0-1

Git Clone URL: https://aur.archlinux.org/gotop.git (read-only, click to copy)
Package Base: gotop
Description: A terminal based graphical activity monitor inspired by gtop and vtop
Upstream URL: https://github.com/xxxserxxx/gotop
Licenses: AGPL3
Submitter: FabioLolix
Maintainer: FabioLolix (serxxx)
Last Packager: serxxx
Votes: 27
Popularity: 1.77
First Submitted: 2018-11-13 17:46
Last Updated: 2020-06-08 14:38

Dependencies (2)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3

cjbassi commented on 2019-02-22 22:12

@The999eagle Building should be fixed now.

@dude Added git to makedepends.

@egrupled Removed Go version.

Sorry about the delay. Forgot to enable notifications :doh:

egrupled commented on 2019-02-20 12:20

Please change "go>=1.11.0" to "go" in depends otherwise it break building with go-pie. Versioned deps doesn't make sense in Arch as there is only one "go" version in repos and partial upgrades aren't supported

dude commented on 2019-02-13 03:54

Can you add the git package to makedepends please? If it's not installed, the build will fail:

-> Extracting gotop-2.0.1.tar.gz with bsdtar
==> Starting build()...
go: github.com/stretchr/testify@v1.2.2: git init --bare in /build/go/pkg/mod/cache/vcs/ed2f58bca3966d01dc4666baa48276a4fab360938a8d941050d58e371e2bba77: exec: "git": executable file not found in $PATH

The999eagle commented on 2019-02-04 11:39

Building currently fails with

go: github.com/cjbassi/drawille-go@v0.0.0-20180329221028-ad535d0f92cd: unknown revision ad535d0f92cd
go: github.com/gizak/termui@v0.0.0-20190114080300-043950fed066: unknown revision 043950fed066
go: error loading module requirements

It seems like those two commits don't exist in the source repos anymore

cjbassi commented on 2019-01-08 18:21

Hi, gotop maintainer here. Could you change the makedepend from go-pie to go? Thanks!

willemw commented on 2018-12-12 19:15

Please change go-pie to go. Now we are forced to uninstall go and install go-pie.

Environment variable GOPATH needs to be set to point somewhere inside $srcdir. Now go files are being downloaded globally in ~/go or in $GOPATH if set.

Only x86_64 needs to be listed in arch=(). $pkgdir should be double-quoted.

esbdb commented on 2018-11-16 11:55

Does this have to depend on go-pie instead of just go? I'm already using the go package so this is now conflicting. Can't we make it depend on anything that provides go instead of a hard dependency on specifically go-pie?